Bug 40039 - Import script for automated class renaming produces no log file
Import script for automated class renaming produces no log file
Status: CLOSED FIXED
Product: UCS@school
Classification: Unclassified
Component: Import scripts
UCS@school 4.1
Other Linux
: P5 normal (vote)
: UCS@school 4.1 Errata
Assigned To: Sönke Schwardt-Krummrich
Florian Best
:
Depends on:
Blocks: 40789
  Show dependency treegraph
 
Reported: 2015-11-19 16:52 CET by Sönke Schwardt-Krummrich
Modified: 2016-03-16 15:01 CET (History)
0 users

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional): Troubleshooting
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sönke Schwardt-Krummrich univentionstaff 2015-11-19 16:52:49 CET
The import script for automated class renaming does not write its log output to a logfile. Therefore it's hard to debug problems. Noticed in customer environment.
Comment 1 Sönke Schwardt-Krummrich univentionstaff 2016-02-28 16:31:15 CET
Added log output that is always written to 
/var/log/univention/ucs-school-import.log. Example follows. Additionally the exit code of the script has been changed from 0 to 1 in case of severe errors.

25.02.16 02:15:08.480  DEBUG_INIT
25.02.16 02:15:09.193  MAIN        ( PROCESS ) : Starting rename_class 'rename.txt'
25.02.16 02:15:09.244  MAIN        ( PROCESS ) : Checking line 1: 'gsmitte-Igel2' to 'gsmitte-Krabbeln'
25.02.16 02:15:09.244  MAIN        ( PROCESS ) : Checking line 2: 'gsmitte-Froesche' to 'gsmitte-Igel2'
25.02.16 02:15:09.244  MAIN        ( PROCESS ) : Stopping notifier
25.02.16 02:15:14.817  MAIN        ( PROCESS ) : Processing line 1: renaming 'gsmitte-Igel2' to 'gsmitte-Krabbeln'
25.02.16 02:15:14.823  LDAP        ( WARN    ) : rename cn=gsmitte-Krabbeln
25.02.16 02:15:14.891  LDAP        ( WARN    ) : rename cn=gsmitte-Krabbeln
25.02.16 02:15:14.931  MAIN        ( PROCESS ) : Processing line 2: renaming 'gsmitte-Froesche' to 'gsmitte-Igel2'
25.02.16 02:15:14.933  LDAP        ( WARN    ) : rename cn=gsmitte-Igel2
25.02.16 02:15:14.965  LDAP        ( WARN    ) : rename cn=gsmitte-Igel2
25.02.16 02:15:15.527  MAIN        ( PROCESS ) : Resuming notifier
25.02.16 02:15:15.527  MAIN        ( PROCESS ) : Renaming of group gsmitte-Igel2 to gsmitte-Krabbeln successfully
25.02.16 02:15:15.527  MAIN        ( PROCESS ) : Renaming of share gsmitte-Igel2 to gsmitte-Krabbeln successfully
25.02.16 02:15:15.527  MAIN        ( PROCESS ) : Renaming of group gsmitte-Froesche to gsmitte-Igel2 successfully
25.02.16 02:15:15.527  MAIN        ( PROCESS ) : Renaming of share gsmitte-Froesche to gsmitte-Igel2 successfully
25.02.16 02:15:15.527  MAIN        ( PROCESS ) : rename_class finished

ucs-school-import (12.0.4-2):
r67765 | Bug #40039: bumped version
r67764 | Bug #40039: write debug output of rename_class to /var/log/univention/ucs-school-import.log


Package: ucs-school-import
Version: 12.0.4-2.239.201602281629
User: sschwardt
Branch: ucs_4.1-0
Scope: ucs-school-4.1
Comment 2 Florian Best univentionstaff 2016-02-29 14:59:32 CET
OK: logoutput gets written to /var/log/univention/ucs-school-import.log
Comment 3 Sönke Schwardt-Krummrich univentionstaff 2016-03-16 15:01:08 CET
UCS@school 4.1 v5 has been released.

If this error occurs again, please clone this bug.